Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.ui.common
Interface AddRepositoryComposite

All Superinterfaces:
  CompositeProvider

All Known Implementing Classes:
  AddRepositoryCompositeImpl

    public interface AddRepositoryComposite

extends CompositeProvider

Author:
  Eugen Neufeld

Nested Class Summary
`static interface` | `AddRepositoryComposite.AddRepositoryChangeListener` A Listener interface to listen on changes during the creation of an repository.

Method Summary
`ECPProperties` | `getProperties()` The `ECPProperties` for the Repository to create.
`ECPProvider` | `getProvider()` Gets the selected or set `ECPProvider` for this repository.
`String` | `getRepositoryDescription()` The description for the Repository to create.
`String` | `getRepositoryLabel()` The label for the Repository to create.
`String` | `getRepositoryName()` The name for the Repository to create.
`void` | `setListener(AddRepositoryComposite.AddRepositoryChangeListener listener)` Register a `AddRepositoryComposite.AddRepositoryChangeListener`.

Methods inherited from interface org.eclipse.emf.ecp.spi.common.ui.CompositeProvider
`createUI, dispose`

Method Detail

### getProvider

    ECPProvider getProvider()

  Gets the selected or set `ECPProvider` for this repository.

  Returns:
    the `ECPProvider` for the creation of the repository

### getRepositoryName

    String getRepositoryName()

  The name for the Repository to create.

  Returns:
    the name of the repository

### getRepositoryDescription

    String getRepositoryDescription()

  The description for the Repository to create.

  Returns:
    the description of the repository

### getProperties

    ECPProperties getProperties()

  The `ECPProperties` for the Repository to create.

  Returns:
    the properties of the repository

### getRepositoryLabel

    String getRepositoryLabel()

  The label for the Repository to create.

  Returns:
    the label of the repository

### setListener

    void setListener(AddRepositoryComposite.AddRepositoryChangeListener listener)

  Register a `AddRepositoryComposite.AddRepositoryChangeListener`.

  Parameters:
    `listener` - the listener to set

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.